Subject: Re: bug#8545: issues with recent doprnt-related changes

From: Juanma Barranquero <[email-masked]>
Date: Thu, 28 Apr 2011 03:32:23 +0200

On Thu, Apr 28, 2011 at 01:51, Paul Eggert <[email-masked]> wrote:

> If fmt is actually greater than format_end, it's pointing past the end
> of an object, so the C code is relying on undefined behavior and the
> check therefore isn't portable.

I'm no expert on the C standard, but would it be undefined behavior,
as long as the pointer has not been dereferenced? A cursory look
suggests that fmt == format_end + 1 is possible, but fmt is not
dereferenced in that case.

    Juanma